Debian Security Advisory

DSA-1360-1 rsync -- buffer overflow

Date Reported:
28 Aug 2007
Affected Packages:
Security database references:
In Mitre's CVE dictionary: CVE-2007-4091.
More information:

Sebastian Krahmer discovered that rsync, a fast remote file copy program, contains an off-by-one error which might allow remote attackers to execute arbitrary code via long directory names.

For the old stable distribution (sarge), this problem is not present.

For the stable distribution (etch), this problem has been fixed in version 2.6.9-2etch1.

For the unstable distribution (sid) this problem will be fixed soon.

We recommend that you upgrade your rsync package.

Fixed in:

Debian GNU/Linux 4.0 alias etch

alpha architecture (DEC Alpha)
amd64 architecture (AMD x86_64 (AMD64))
arm architecture (ARM)
hppa architecture (HP PA RISC)
i386 architecture (Intel ia32)
ia64 architecture (Intel ia64)
mips architecture (MIPS (Big Endian))
mipsel architecture (MIPS (Little Endian))
s390 architecture (IBM S/390)
sparc architecture (Sun SPARC/UltraSPARC)

MD5 checksums of the listed files are available in the original advisory.